function gain = compressorMap3(omega,w1,p1)

global poly_c0 poly_c1 poly_c2 poly_c3 R M T1

vol_flow = w1/p1*R*T1/M;

c0 = polyval(poly_c0.coeff,(omega-poly_c0.mu(1))/poly_c0.mu(2));
c1 = polyval(poly_c1.coeff,(omega-poly_c1.mu(1))/poly_c1.mu(2));
c2 = polyval(poly_c2.coeff,(omega-poly_c2.mu(1))/poly_c2.mu(2));
c3 = polyval(poly_c3.coeff,(omega-poly_c3.mu(1))/poly_c3.mu(2));

poly_psi = [c3 c2 c1 c0];

gain = polyval(poly_psi,vol_flow);