function diff = eq_fun(x)
    
    global omega_d k_scl poly_c0 poly_c1 poly_c2 poly_c3
    
    c0 = polyval(poly_c0.coeff,(omega_d-poly_c0.mu(1))/poly_c0.mu(2));
    c1 = polyval(poly_c1.coeff,(omega_d-poly_c1.mu(1))/poly_c1.mu(2));
    c2 = polyval(poly_c2.coeff,(omega_d-poly_c2.mu(1))/poly_c2.mu(2));
    c3 = polyval(poly_c3.coeff,(omega_d-poly_c3.mu(1))/poly_c3.mu(2));

    poly_psi = [c3 c2 c1 c0];

    diff = polyval(poly_psi,x) - (x^2/k_scl^2+1);
end